Bug 543590 - (389_1.2.6) Tracking bug for 389 Directory Server 1.2.6
Tracking bug for 389 Directory Server 1.2.6
Status: CLOSED CURRENTRELEASE
Product: 389
Classification: Community
Component: Directory Server (Show other bugs)
1.3.0
All Linux
high Severity high
: ---
: ---
Assigned To: Rich Megginson
Chandrasekar Kannan
:
Depends On: 145181 171338 179379 199923 213919 429005 434735 442228 455489 460162 460168 460174 460209 470684 480787 498103 506206 509201 513074 515805 516611 518084 519459 520151 521108 531061 531929 536703 537234 537357 537466 538525 539618 542570 543080 544089 545620 547503 548115 548533 548535 551198 552419 552421 553027 554841 554887 555970 556468 558518 559315 560827 561575 564876 566043 566320 567429 568196 570107 570297 570333 570542 570905 570912 571514 571677 572162 572355 572649 572677 573375 573896 574101 574233 576074 576644 578167 578296 580781 584109 585905 586571 590931 591336 591685 592389 593392 593453 593899 594745 595893 599732 601433 601865 602747 603942 604263 604453 605827 606920 609256 611773 612242 612771 613833 616135 616608 616618 617013 617629 617862 619595 621928 622880 622882 628300 631862 634561 635154 636764
Blocks:
  Show dependency treegraph
 
Reported: 2009-12-02 12:24 EST by Rich Megginson
Modified: 2015-01-04 18:40 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-08-29 12:14:23 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Rich Megginson 2009-12-02 12:24:50 EST
Tracking bug for 389 1.2.6
Comment 1 Fedora Update System 2010-01-25 17:19:55 EST
389-ds-base-1.2.6-0.1.a1.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/389-ds-base-1.2.6-0.1.a1.fc11
Comment 2 Fedora Update System 2010-01-25 17:19:59 EST
389-ds-base-1.2.6-0.1.a1.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/389-ds-base-1.2.6-0.1.a1.fc12
Comment 3 Fedora Update System 2010-01-25 17:20:04 EST
389-ds-base-1.2.6-0.1.a1.el5 has been submitted as an update for Fedora EPEL 5.
http://admin.fedoraproject.org/updates/389-ds-base-1.2.6-0.1.a1.el5
Comment 4 Fedora Update System 2010-03-02 17:24:39 EST
389-ds-base-1.2.6-0.2.a2.el5 has been submitted as an update for Fedora EPEL 5.
http://admin.fedoraproject.org/updates/389-ds-base-1.2.6-0.2.a2.el5
Comment 5 Fedora Update System 2010-03-02 17:24:44 EST
389-ds-base-1.2.6-0.2.a2.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/389-ds-base-1.2.6-0.2.a2.fc12
Comment 6 Fedora Update System 2010-03-02 17:24:48 EST
389-ds-base-1.2.6-0.2.a2.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/389-ds-base-1.2.6-0.2.a2.fc11
Comment 7 Fedora Update System 2010-03-02 17:24:53 EST
389-ds-base-1.2.6-0.2.a2.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/389-ds-base-1.2.6-0.2.a2.fc13
Comment 8 Fedora Update System 2010-04-15 18:10:32 EDT
389-ds-base-1.2.6-0.3.a3.el5 has been submitted as an update for Fedora EPEL 5.
http://admin.fedoraproject.org/updates/389-ds-base-1.2.6-0.3.a3.el5
Comment 9 Fedora Update System 2010-04-15 18:10:38 EDT
389-ds-base-1.2.6-0.3.a3.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/389-ds-base-1.2.6-0.3.a3.fc12
Comment 10 Fedora Update System 2010-04-15 18:10:43 EDT
389-ds-base-1.2.6-0.3.a3.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/389-ds-base-1.2.6-0.3.a3.fc11
Comment 11 Fedora Update System 2010-04-15 18:10:47 EDT
389-ds-base-1.2.6-0.3.a3.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/389-ds-base-1.2.6-0.3.a3.fc13
Comment 12 Fedora Update System 2010-04-15 18:14:01 EDT
389-admin-1.1.11-0.3.a3.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/389-admin-1.1.11-0.3.a3.fc11
Comment 13 Fedora Update System 2010-04-15 18:14:05 EDT
389-admin-1.1.11-0.3.a3.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/389-admin-1.1.11-0.3.a3.fc12
Comment 14 Fedora Update System 2010-04-15 18:14:10 EDT
389-admin-1.1.11-0.3.a3.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/389-admin-1.1.11-0.3.a3.fc13
Comment 15 Fedora Update System 2010-04-15 18:14:14 EDT
389-admin-1.1.11-0.3.a3.el5 has been submitted as an update for Fedora EPEL 5.
http://admin.fedoraproject.org/updates/389-admin-1.1.11-0.3.a3.el5
Comment 16 Fedora Update System 2010-05-26 18:29:42 EDT
389-ds-base-1.2.6-0.4.a4.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/389-ds-base-1.2.6-0.4.a4.fc12
Comment 17 Fedora Update System 2010-05-26 18:29:47 EDT
389-ds-base-1.2.6-0.4.a4.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/389-ds-base-1.2.6-0.4.a4.fc11
Comment 18 Fedora Update System 2010-05-26 18:29:51 EDT
389-ds-base-1.2.6-0.4.a4.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/389-ds-base-1.2.6-0.4.a4.fc13
Comment 19 Fedora Update System 2010-05-26 18:29:55 EDT
389-ds-base-1.2.6-0.4.a4.el5 has been submitted as an update for Fedora EPEL 5.
http://admin.fedoraproject.org/updates/389-ds-base-1.2.6-0.4.a4.el5
Comment 20 Fedora Update System 2010-05-26 18:31:32 EDT
389-admin-1.1.11-0.4.a4.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/389-admin-1.1.11-0.4.a4.fc11
Comment 21 Fedora Update System 2010-05-26 18:31:36 EDT
389-admin-1.1.11-0.4.a4.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/389-admin-1.1.11-0.4.a4.fc12
Comment 22 Fedora Update System 2010-05-26 18:31:41 EDT
389-admin-1.1.11-0.4.a4.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/389-admin-1.1.11-0.4.a4.fc13
Comment 23 Fedora Update System 2010-05-26 18:31:45 EDT
389-admin-1.1.11-0.4.a4.el5 has been submitted as an update for Fedora EPEL 5.
http://admin.fedoraproject.org/updates/389-admin-1.1.11-0.4.a4.el5
Comment 24 Fedora Update System 2010-06-09 11:19:22 EDT
389-admin-1.1.11-0.5.rc1.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/389-admin-1.1.11-0.5.rc1.fc11
Comment 25 Fedora Update System 2010-06-09 11:19:27 EDT
389-admin-1.1.11-0.5.rc1.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/389-admin-1.1.11-0.5.rc1.fc12
Comment 26 Fedora Update System 2010-06-09 11:19:31 EDT
389-admin-1.1.11-0.5.rc1.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/389-admin-1.1.11-0.5.rc1.fc13
Comment 27 Fedora Update System 2010-06-09 11:19:36 EDT
389-admin-1.1.11-0.5.rc1.el5 has been submitted as an update for Fedora EPEL 5.
http://admin.fedoraproject.org/updates/389-admin-1.1.11-0.5.rc1.el5
Comment 28 Fedora Update System 2010-06-14 12:11:42 EDT
389-ds-base-1.2.6-0.5.rc1.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/389-ds-base-1.2.6-0.5.rc1.fc12
Comment 29 Fedora Update System 2010-06-14 12:11:51 EDT
389-ds-base-1.2.6-0.5.rc1.el5 has been submitted as an update for Fedora EPEL 5.
http://admin.fedoraproject.org/updates/389-ds-base-1.2.6-0.5.rc1.el5
Comment 30 Fedora Update System 2010-06-14 12:11:56 EDT
389-ds-base-1.2.6-0.5.rc1.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/389-ds-base-1.2.6-0.5.rc1.fc13
Comment 31 Fedora Update System 2010-06-14 12:12:01 EDT
389-ds-base-1.2.6-0.5.rc1.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/389-ds-base-1.2.6-0.5.rc1.fc11
Comment 32 Fedora Update System 2010-06-15 21:23:00 EDT
389-ds-base-1.2.6-0.6.rc1.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/389-ds-base-1.2.6-0.6.rc1.fc11
Comment 33 Fedora Update System 2010-06-15 21:23:05 EDT
389-ds-base-1.2.6-0.6.rc1.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/389-ds-base-1.2.6-0.6.rc1.fc12
Comment 34 Fedora Update System 2010-06-15 21:23:14 EDT
389-ds-base-1.2.6-0.6.rc1.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/389-ds-base-1.2.6-0.6.rc1.fc13
Comment 35 Fedora Update System 2010-06-15 21:23:22 EDT
389-ds-base-1.2.6-0.6.rc1.el5 has been submitted as an update for Fedora EPEL 5.
http://admin.fedoraproject.org/updates/389-ds-base-1.2.6-0.6.rc1.el5
Comment 36 Fedora Update System 2010-06-16 15:05:44 EDT
389-ds-base-1.2.6-0.7.rc2.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/389-ds-base-1.2.6-0.7.rc2.fc11
Comment 37 Fedora Update System 2010-06-16 15:05:49 EDT
389-ds-base-1.2.6-0.7.rc2.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/389-ds-base-1.2.6-0.7.rc2.fc13
Comment 38 Fedora Update System 2010-06-16 15:05:53 EDT
389-ds-base-1.2.6-0.7.rc2.el5 has been submitted as an update for Fedora EPEL 5.
http://admin.fedoraproject.org/updates/389-ds-base-1.2.6-0.7.rc2.el5
Comment 39 Fedora Update System 2010-06-16 15:05:57 EDT
389-ds-base-1.2.6-0.7.rc2.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/389-ds-base-1.2.6-0.7.rc2.fc12
Comment 40 Fedora Update System 2010-06-25 16:18:27 EDT
389-ds-1.2.1-1.el5,389-dsgw-1.1.5-1.el5,389-admin-console-1.1.5-1.el5,389-ds-console-1.2.3-1.el5,389-console-1.1.4-1.el5,idm-console-framework-1.1.5-4.el5 has been submitted as an update for Fedora EPEL 5.
http://admin.fedoraproject.org/updates/389-ds-1.2.1-1.el5,389-dsgw-1.1.5-1.el5,389-admin-console-1.1.5-1.el5,389-ds-console-1.2.3-1.el5,389-console-1.1.4-1.el5,idm-console-framework-1.1.5-4.el5
Comment 41 Ozmen Emre Demirkol 2010-09-24 08:44:58 EDT
We updated our FC13. There are 2 big problems.
I red update file on your web site and applied every steps.After that system said everything is up-to-date. BUT

1- 
Error: This  ((targetattr = "*") (target = "ldap:///ou="uid=admin, ou=Administrators, ou=TopologyManagement, o=NetscapeRoot",ou=UserPreferences, ou=kamusm.gov.tr, o=NetscapeRoot") (version 3.0;acl "<Unnamed ACI>";allow (all)(userdn = "ldap:///uid=admin, ou=Administrators, ou=TopologyManagement, o=NetscapeRoot");)) ACL will not be considered for evaluation because of syntax errors

still coming up

2- 

İf we use UPPERCASE UTF-8 character for add a CN it makes an error

"ERR=32 not such object"

just for UPPERCASE UTF-8 characters. for lowercase there is no problem
Comment 42 Rich Megginson 2010-09-24 10:16:06 EDT
(In reply to comment #41)
> We updated our FC13. There are 2 big problems.
> I red update file on your web site and applied every steps.After that system
> said everything is up-to-date. BUT
> 
> 1- 
> Error: This  ((targetattr = "*") (target = "ldap:///ou="uid=admin,
> ou=Administrators, ou=TopologyManagement, o=NetscapeRoot",ou=UserPreferences,
> ou=kamusm.gov.tr, o=NetscapeRoot") (version 3.0;acl "<Unnamed ACI>";allow
> (all)(userdn = "ldap:///uid=admin, ou=Administrators, ou=TopologyManagement,
> o=NetscapeRoot");)) ACL will not be considered for evaluation because of syntax
> errors
> 
> still coming up

"still"?  What version did you upgrade from, and did you have this problem before?  Is there a bugzilla?

> 
> 2- 
> 
> İf we use UPPERCASE UTF-8 character for add a CN it makes an error
> 
> "ERR=32 not such object"
> 
> just for UPPERCASE UTF-8 characters. for lowercase there is no problem

Can you provide more specifics?
Comment 43 Ozmen Emre Demirkol 2010-09-27 01:17:03 EDT
1- from fc12 to fc13

2- while i try to create a CN that has a name with UPPERCASE UTF-8 character like Ç,İ,Ü,Ö system returns with an error message "CN=ÖZMEN,O=......." "object does not exist"
Comment 44 Rich Megginson 2010-09-27 12:30:37 EDT
1- so this problem was happening on fc12 and continues to happen on fc13?

This bug (543590) is for 1.2.6 tracking purposes only - please open 2 separate bugs for the above issues at https://bugzilla.redhat.com/enter_bug.cgi?product=389
Comment 45 Ozmen Emre Demirkol 2010-09-28 01:13:19 EDT
No. when we were FC12 there was no problem. After upgrade it came out.

I've made a new installation on FC13 and CentOS 5.5 x64. The problem are there, too. 
if i want to create a CN with uppercase Turkish characters (Ç,Ğ,İ,Ö,Ü), "Object does not exist" returns.

I think this might be relative with your new entrydn problem. using "" or '' while add a dn

Note You need to log in before you can comment on or make changes to this bug.